Loading...
Searching...
No Matches
ip_globals Struct Reference

`#include <ip.h>`

## Data Fields

struct netif * | current_netif
struct netif * | current_input_netif
const struct ip_hdr * | current_ip4_header
struct ip6_hdr * | current_ip6_header
u16_t | current_ip_header_tot_len
ip_addr_t | current_iphdr_src
ip_addr_t | current_iphdr_dest

## Detailed Description

Global variables of this module, kept in a struct for efficient access using base+index.

## Field Documentation

## current_input_netif

struct netif* ip_globals::current_input_netif

The interface that received the packet for the current callback invocation.

## current_ip4_header

const struct ip_hdr* ip_globals::current_ip4_header

Header of the input packet currently being processed.

## current_ip6_header

struct ip6_hdr* ip_globals::current_ip6_header

Header of the input IPv6 packet currently being processed.

## current_ip_header_tot_len

u16_t ip_globals::current_ip_header_tot_len

Total header length of current_ip4/6_header (i.e. after this, the UDP/TCP header starts)

## current_iphdr_dest

ip_addr_t ip_globals::current_iphdr_dest

Destination IP address of current_header

## current_iphdr_src

ip_addr_t ip_globals::current_iphdr_src

Source IP address of current_header

## current_netif

struct netif* ip_globals::current_netif

The interface that accepted the packet for the current callback invocation.

The documentation for this struct was generated from the following file:

- src/include/lwip/ip.h